;

; Uppercut
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = ifelse(var(40) & floor(exp(5*ln(2)) + 0.5) ,1,0)
ctrl = 0
anim = 410
sprpriority = 2
facep2 = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = movehit
value = S0,31
abspan = 0
persistent = 0

[State 0, VarRandom]
type = VarSet
trigger1 = time = 1
var(0) = random%2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = var(0) = 1
trigger1 = movehit
value = S0,6
abspan = 0
persistent = 0
[State 0, Explod]
type = Explod
trigger1 = var(0) = 1
trigger1 = movehit
anim = 419
ID = 419
pos = 10,ceil(gameheight)
postype = back
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
supermovetime = 65535
pausemovetime = 65535
scale = .5,.5
sprpriority = 99999
ontop = 1
ownpal = 1
persistent = 0

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = movehit = 1
value = anim + 1
elem = animelemno(0)
ignorehitpause = 1
persistent = 0

[State ProRation]
type = VarSet
trigger1 = var(21) = 1
fvar(13) = fvar(13) * 0.8
ignorehitpause = 1

[State Neo-Juggle-System-Flag]
type = VarSet
;trigger1 = !(var(40) & floor(exp(1*ln(2)) + 0.5) )
trigger1 = movehit = [1,2]
trigger1 = numtarget
trigger1 = (target,statetype = A) || (target,statetype = L)
var(40) = var(40) | floor(exp(6*ln(2)) + 0.5)
ignorehitpause = 1
persistent = 0

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = animelem = 5
statetype = S
physics = S

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 5
attr = C, NA
damage = 96, 0
animtype = up
guardflag = M
hitflag = MAF
pausetime = 4-var(49), 3
guard.pausetime = 12-var(49), 11
sparkno = S906
sparkxy = -17, ceil(-80*const(size.yscale) )
hitsound = S5, 7
guardsound = S6, 2
ground.type = low
ground.slidetime = 25
ground.hittime  = 25
guard.velocity = -13
guard.hittime = 12
ground.velocity = -3,-19
air.velocity = -3,-19
airguard.velocity = -1.9,-.8
air.type = low
air.hittime = 25
fall = 1
air.fall = 1
fall.recovertime = 40
id = 123
yaccel = .83
nochainid = ifelse(!(var(40) & floor(exp(6*ln(2)) + 0.5) ),124,123),3000
persistent = 0
getpower = 0
ground.cornerpush.veloff = 0

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 3

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElemtime(7) = 4
movetype = I

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;------------------
; YOINK
[Statedef 707]
type    = A
movetype= H
physics = N

[State 0, VelMul]
type = VelMul
trigger1 = 1
x = 0.9

[State 1027, Turn]
type = Turn
trigger1 = (Time = 0) && (FrontEdgeBodyDist <= 30)

[State 1027, Pos]
type = PosAdd
trigger1 = Time = 0
x = frontedgedist - 15

[State 1027, No scroll]
type = ScreenBound
trigger1 = 1
value = ifelse(time<=6,0,1)
movecamera = 0,ifelse(pos y <= -100,0,1)

;[State 1028, Vel Y]
;type = VelSet
;trigger1 = Time = 0
;y = -12.12

;[State 1028, Vel X]
;type = VelSet
;trigger1 = Time = 0
;x = -1.6

[State 1028, Gravity]
type = VelAdd
trigger1 = 1
y = .7

[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= const(movement.air.gethit.groundlevel))
value = 5100


;------------------
; Hit by Fast Kung Fu Palm - flying through the air
; (a custom gethit state)
[Statedef 1026]
type    = A
movetype= H
physics = N

[State 1026, Velocity]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 1026, Gravity]
type = VelAdd
trigger1 = 1
y = .66

[State 1026, No scroll]
type = ScreenBound
triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist < 65
trigger2 = FrontEdgeBodyDist < 65
value = 1
movecamera = 0,1

[State 1026, Hit wall]
type = ChangeState
triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist <= 20
trigger2 = FrontEdgeBodyDist <= 20
value = 1027

[State 1026, Hit ground]
type = SelfState
trigger1 = Pos Y > const(movement.air.gethit.groundlevel)
trigger1 = Vel Y > 0
value = 5100


;------------------
; Hit by Fast Kung Fu Palm - bounce off wall
; (a custom gethit state)
[Statedef 1028]
type    = A
movetype= H
physics = N

[State 1028, Vel Y]
type = VelSet
trigger1 = Time = 0
y = -12.12

[State 1028, Vel X]
type = VelSet
trigger1 = Time = 0
x = 1.6

[State 1028, Turn]
type = Turn
trigger1 = (Time = 0) && (BackEdgeDist < 30)

[State 1028, Gravity]
type = VelAdd
trigger1 = 1
y = .88

[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = Pos Y > const(movement.air.gethit.groundlevel)
trigger1 = Vel Y > 0
value = 5100

[Statedef 1420]
type    = A
movetype= H
physics = N
velset = 0,0

[State 0, AngleDraw]
type = AngleDraw
trigger1 = animelemtime(32) >= 0 && animelemtime(33) < 0
value = 0
scale = 1.25,1
[State 0, AngleDraw]
type = AngleDraw
trigger1 = animelemtime(33) >= 0 && animelemtime(34) < 0
value = 0
scale = 2,1

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 1420

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 0
movecamera = 0,0
ignorehitpause = 1

[State 0, VelAdd]
type = VelAdd
trigger1 = animelemtime(35) = 1
trigger1 = !alive
y = 99999

[State 820, 2]
type = SelfState
trigger1 = animelemtime(35) >= 3
trigger1 = !alive
value = 5150

[State 0, PosAdd]
type = PosAdd
trigger1 = animelem = 36
y = -320
[State 0, VelAdd]
type = VelAdd
trigger1 = animelemtime(37) >= 0
y = 0.88

[State 820, 2]
type = SelfState
trigger1 = animelemtime(37) >= 0
trigger1 = pos y >= const(movement.air.gethit.groundlevel)
trigger1 = vel y > 0
value = 5100

[Statedef 3164]
type    = A
movetype= H
physics = N
sprpriority = -35

[State 0, PosSet]
type = PosSet
trigger1 = time = 0
x = 0
y = -250

[State 0, VelAdd]
type = VelAdd
trigger1 = 1
y = 0.88
[State 0, VelAdd]
type = VelMul
trigger1 = 1
x = 0.98

[State 0, ScreenBound]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 1,0
ignorehitpause = 1

[State 0, ChangeState]
type = SelfState
trigger1 = vel y + pos y >= const(movement.air.gethit.groundlevel)
value = 5100
ctrl = 0

;----------------------------------------------------------------------
[Statedef 3501]
type = S
movetype= A
physics = N
anim = 3501

[State 810, Throw]
type = TargetState
trigger1 = time = 0
value = 3502

[State 0, PowerAdd]
type = PowerAdd
trigger1 = 1
value = -10
ignorehitpause = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S0,27

[State 0, BGPalFX]
type = BGPalFX
trigger1 = 1
time = 4
mul = 200,200,200
color = 200
ignorehitpause = 1

[State DUN DUN DUUUNNNNNNNNNNNNNNNN]
type = PlaySnd
trigger1 = time = 0
value = S0,44

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = timerfreeze
flag2 = nokoslow
flag3 = nomusic

[State ....]
type = PlaySnd
trigger1 = time = 35
value = S0,45
channel = 0

[State 0, EnvColor]
type = EnvColor
trigger1 = time >= 35
value = 102,45,145
time = 1
under = 0
ignorehitpause = 1
[State 0, Explod]
type = Explod
trigger1 = time = 35
anim = 3503
ID = 3503
pos = 160,floor(gameheight/2)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
pausemovetime = 65535
supermovetime = 65535
scale = 1,1
sprpriority = 65535
ontop = 1
ownpal = 1
removeongethit = 1
ignorehitpause = 1

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = numexplod(3500)
flag = noBG
flag2 = noFG
flag3 = nobardisplay

[State ....]
type = PlaySnd
trigger1 = time = 180
value = S0,24
channel = 0
[State 0, EnvShake]
type = EnvShake
trigger1 = time = 180
time = 15
freq = 255
ampl = -16

[State 810, Hurt]
type = TargetLifeAdd
trigger1 = time = 180
value = ceil(-666 * (.25 + (fvar(13)*.75) ) )
[State 810, Throw]
type = TargetState
trigger1 = time = 210
value = 3504
[State 810, Bind 1]
type = TargetBind
trigger1 = time < 180
pos = ceil(76*const(size.xscale) ), ceil(-125*const(size.yscale) )

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = time >= 220
id = 3503
ignorehitpause = 1

[State 810, State End]
type = ChangeState
trigger1 = time = 220
value = 0
ctrl = 1

[Statedef 2099]
type = S
ctrl = 0
anim = 9741
velset = 0,0
movetype = I
physics = N

[State 0, PlaySnd]
type = PlaySnd
trigger1 = prevstateno!=[2200,2299]
trigger1 = time >= 150
value = S2000,5
abspan = 0
[State 0, PlaySnd]
type = PlaySnd
trigger1 = prevstateno=[2200,2299]
trigger1 = time >= 150
value = S2200,1
abspan = 0

[State 0, Explod]
type = Explod
trigger1 = teamside = 1
trigger1 = time >= 150
anim = 2090+(prevstateno=[2200,2299])
ID = 2090
pos = 0,ceil(gameheight)
postype = left
facing = 1
vfacing = 1
bindtime = -1
removetime = -2
supermovetime = 65535
pausemovetime = 65535
scale = .5,.5
sprpriority = 99999
ontop = 1
ownpal = 1
persistent = 0
[State 0, Explod]
type = Explod
trigger1 = teamside = 2
trigger1 = time >= 150
anim = 2090+(prevstateno=[2200,2299])
ID = 2090
pos = 320,ceil(gameheight)
postype = left
facing = -1
vfacing = 1
bindtime = -1
removetime = -2
supermovetime = 65535
pausemovetime = 65535
scale = .5,.5
sprpriority = 99999
ontop = 1
ownpal = 1
persistent = 0


[State 0, DestroySelf]
type = DestroySelf
trigger1 = time >= 150


[Statedef -2]

[State 0, Helper]
type = Helper
triggerall = !numhelper(666)
triggerall = roundstate = 3
triggerall = p2name != "Aracdboy1" || teamside = 1
trigger1 = !alive
trigger1 = p2life = 0
helpertype = normal
name = "LOL"
ID = 666
stateno = 666
pos = 0,0
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1


[State 0, ]
type = PlaySnd
triggerall = alive
trigger1 = (stateno = 5000) || (stateno = 5010) || (stateno = 5020) || (stateno = 5070)
trigger1 = time = 0
trigger2 = (stateno != 5000) && (stateno != 5010) && (stateno != 5020) && (stateno != 5070)
trigger2 = stateno != [120,160]
trigger2 = gethitvar(damage)
value = 5000,0+random%9
channel = 0
ignorehitpause = 1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 1
trigger1 = stateno = 5120
value = 5120,random%3
channel = 0

[State DUN DUN DUUUNNNNNNNNNNNNNNNN]
type = PlaySnd
trigger1 = time = 1
trigger1 = stateno = 100
value = S0,5
channel = 0

[State DUN DUN DUUUNNNNNNNNNNNNNNNN]
type = PlaySnd
triggerall = anim = 100
trigger1 = (time%12)=1
value = S0,9+random%4

; if you're making a 10ov.st and copied the statedef -2 in it's entirety, uncomment this strcl so e.g. the hitpauses in both mugen versions would be the same
[State ME AM USING 1.0]
type = VarSet
trigger1 = var(49) != 1
var(49) = 1
ignorehitpause = 1

[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
trigger1 = movetype = H
trigger1 = stateno != [120,169]
var(30) = -1
ignorehitpause = 1
[State 0, PowerAdd]
type = PowerAdd
triggerall = var(30) = 0
triggerall = stateno != [2000,2999]
trigger1 = movehit
;trigger2 = projhittime = 1
value = 150
ignorehitpause = 1
[State 0, VarSet]
type = VarSet
triggerall = var(30) = 0
trigger1 = movehit
;trigger2 = projhittime = 1
var(30) = 1
ignorehitpause = 1

[State -2, Movehitoner]
type = VarSet
trigger1 = 1
var(21) = ifelse(movehit=1,var(21)+1,0)
ignorehitpause = 1
[State -2, Counter?]
type = VarSet
trigger1 = var(21) != 1
var(31) = (p2movetype=A)
ignorehitpause = 1
[State -2, Counter Bonus]
type = PowerAdd
;triggerall = stateno != [2000,2999]
trigger1 = var(21) = 1
trigger1 = var(31) = 1
value = 150
ignorehitpause = 1

[State Count Consecutive Hits]
type = VarAdd
trigger1 = var(21)=1
trigger2 = stateno = 810 || stateno = 1410 || stateno = 3310 || stateno = 3110
trigger2 = time = 1
fvar(20) = 0.11
[State Reset Consecutive Hits]
type = VarSet
trigger1 = movetype=H
trigger1 = stateno!=[120,156]
fvar(20) = 0
[State 0, PowerSet]
type = PowerAdd
trigger1 = roundstate = 2
;trigger1 = (gametime%120)=0
trigger1 = power < powermax
trigger1 = stateno != [3000,3999]
trigger1 = stateno != 1410
trigger1 = !numhelper(3165)
value = floor(sin(gametime*.05)*(3.3+fvar(20)))
ignorehitpause = 1

[State Throw Limiter]
type = VarSet
trigger1 = stateno = 40
trigger2 = statetype = A
trigger2 = movecontact
trigger3 = p2stateno = [120,169]
var(8) = 12
[State Throw Limiter count]
type = VarAdd
trigger1 = var(8) > 0
var(8) = -1
[State 0, Helper]
type = Helper
trigger1 = roundstate < 2
trigger1 = !numhelper(444)
helpertype = normal
name = "CONFIG"
ID = 444
stateno = 444
pos = 444,444
postype = p1
facing = 1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1

[State Reset all]
type = VarSet
;triggerall = (var(43) & floor(exp(1*ln(2)) + 0.5) )
trigger1 = !numenemy
trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
trigger2 = !movehit || movereversed
trigger3 = p2stateno = 5120
var(43) = 0
ignorehitpause = 1
;[State Reset freezeball]
;type = VarSet
;triggerall = (var(43) & floor(exp(0*ln(2)) + 0.5) )
;trigger1 = !numenemy
;trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
;trigger2 = !movehit || movereversed
;trigger3 = p2stateno = 5120
;var(43) = var(43) ^ floor(exp(0*ln(2)) + 0.5)
;ignorehitpause = 1
;[State Reset tortanic]
;type = VarSet
;triggerall = (var(43) & floor(exp(1*ln(2)) + 0.5) )
;trigger1 = !numenemy
;trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
;trigger2 = !movehit || movereversed
;trigger3 = p2stateno = 5120
;var(43) = var(43) ^ floor(exp(1*ln(2)) + 0.5)
;ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(40)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(40) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(41)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(41) = 0
ignorehitpause = 1
[State -2, Neo-Juggle-System-Reset]
type = VarSet
triggerall = var(42)
trigger1 = !numtarget
trigger2 = numtarget
trigger2 = (target,statetype != A) && (target,statetype != L)
var(42) = 0
ignorehitpause = 1
[State Prevent the prorator from going too low. You can change the minimal proration rate if you want, just make sure the value in the trigger and actual varset match]
type = VarSet
trigger1 = fvar(13) < 0.15
fvar(13) = 0.15
ignorehitpause = 1
[State Prorator Reset]
type = VarSet
trigger1 = !numenemy
trigger2 = p2movetype != H || (!enemynear,gethitvar(hitcount))
trigger2 = !movehit || movereversed
trigger3 = p2stateno = 5120
fvar(13) = 1
ignorehitpause = 1
[State 0, AttackMulSet]
type = AttackMulSet
trigger1 = 1
time = 2
;value = ifelse(p2movetype!=H,ifelse(var(20)=1,1.25,1),1 - ifelse(fvar(15)>.75,.75,fvar(15)))
value = ( ifelse((stateno=[3000,3900]), 0.25+(fvar(13)*0.75) ,fvar(13))  ) * ifelse((p2statetype=A&&p2movetype!=H)||var(31),1.25,1)
ignorehitpause = 1


;
; Within StateDef -2, none of your own AI-related code should be placed
; above these next two controllers.

[State -2, StopAI]
type = VarSet
triggerall = var(58) > 0 && !IsHelper
trigger1 = RoundState != 2
trigger2 = !Alive
var(58) = -2
IgnoreHitPause = 1

; This controller is optional.  It allows you treat the AI flag as a boolean
; value rather than an integer value, letting you trigger your AI directives
; with "var(0)" instead of "var(58)>0", and letting you make moves usable only
; by humans by using "!var(0)" instead of "var(58)<1", thus slightly improving
; the size and efficiency of your code.
; Another benefit is that it makes it much easier for users to disable your AI,
; if they so choose.
[State -2, Simplifier]
type = VarSet
;trigger1 = var(58) = 1
;trigger2 = var(55):=0
trigger1 = !ishelper
var(55) = ifelse((roundstate<=2),ailevel,0)
IgnoreHitPause = 1
[State -2, Horde Modo]
type = VarSet
trigger1 = IsHelper
var(55) = ifelse((parent,var(55))!=0,(parent,var(55)),4)
IgnoreHitPause = 1

[State P2Soundcode nope]
type = VarSet
trigger1 = 1
v = 33
value = 0
ignorehitpause = 1
[State P2Soundcode WHAM]
type = VarSet
trigger1 = (numtarget)
trigger1 = (target,stateno = 1027)
trigger1 = (target,time = 1)
trigger1 = (target,movetype = H)
v = 33
value = 1
ignorehitpause = 1
[State P2Soundcode WHAM]
type = VarSet
trigger1 = (numtarget)
trigger1 = (target,stateno = 3005)
trigger1 = (target,time = 95)
trigger1 = (target,movetype = H)
v = 33
value = 2
ignorehitpause = 1


[State 0, Helper]
type = Helper
trigger1 = !numhelper(179)
helpertype = normal
name = "Misc Stuff"
ID = 179
stateno = 179
pos = 0,0
postype = p1
ownpal = 1
supermovetime = 65535
pausemovetime = 65535
ignorehitpause = 1


[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) < 120
trigger1 = p2movetype = A
trigger1 = stateno = [120,169]
var(50) = 1
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarSet
triggerall = var(50) > 0
trigger1 = stateno = [150,155]
trigger1 = time = 1
var(50) = ceil(var(50)*0.8)
ignorehitpause = 1
[State ANTI-MINDGAME-GUARD]
type = VarAdd
triggerall = var(50) > 0
triggerall = (gametime%3)=0
trigger1 = p2movetype != A
trigger2 = stateno != [120,169]
var(50) = -1
ignorehitpause = 1
[State ANTI-MINDGAME-TH]
type = VarSet
trigger1 = numenemy
trigger1 = var(55)
var(51) = (enemynear,HitDefAttr = SCA,AT) || (var(50) > 20) || ((abs(enemynear,animtime) <= enemynear,moveguarded )) || (ishelper)
ignorehitpause = 1

; thanks to this if you go CTRL+D and see the current distance so once you start AI making you can blast off a notepad and take notes in which distances would various moves hit
[State -2, DTC]
type = DisplayToClipboard
trigger1 = 1
text = "sk = %d, var(52) = %d, x = %f, y = %f pro = %f"
params = var(59), var(52), (p2bodydist x), (p2dist y), fvar(13)
IgnoreHitPause = 1

;================================================================================
; ------- KOF Cornerpush System by Vans --------
;===============================================================================
[State -2, Superpause Check]
type = VarAdd
trigger1 = Var(6)
var(6) = -1

[State -2, Reset Time counter]
type = VarSet
trigger1 = movecontact = 1
var(12) = 0

[State -2, Accel]
type = VarSet
triggerall = roundstate = 2
triggerall = Var(6) <= 0
triggerall = numtarget >= 1
trigger1 = target, hitshakeover
fvar(6) = (target, gethitvar(xvel)*exp((-0.1886)*((var(12)))))
[State -2, Push]
type = PosAdd
triggerall = roundstate = 2
triggerall = !var(6)
triggerall = numtarget >= 1
triggerall = (target, BackEdgeBodyDist <= 0) || (target, FrontEdgeBodyDist <= 0)
triggerall = ProjContact = 0, < 50
triggerall = stateno != [800,899]
triggerall = stateno != 2400
triggerall = enemynear,statetype != A
triggerall = enemynear,statetype != L
trigger1 = Statetype != A
trigger2 = stateno = 235
trigger3 = stateno = 1300
trigger4 = stateno = 240
x = ifelse(facing = -1,fvar(6),-fvar(6))

[State -2, Increase]
type = VarSet
triggerall = Var(6) <= 0
triggerall = var(12)
trigger1 = numtarget >= 1
trigger1 = target, hitshakeover
var(12) = var(12)+1

[State -2, Time counter]
type = VarSet
trigger1 = !var(12)
trigger1 = fvar(6)
var(12) = 1

[State -2, Freeze Pos During Superpause]
type = PosFreeze
trigger1 = Var(6)
value = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(6)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = movecontact = 1
fvar(6) = 0
ignorehitpause = 1

[State -2, Drop]
type = VarSet
triggerall = fvar(8)
trigger1 = !numtarget
trigger2 = projcontact = 1
trigger3 = numtarget >= 1 && target, gethitvar(xvel) = 0
var(17) = 0

